Subject: bug#17488: 24.3; mail-sendmail-undelimit-header doesn't respect mail-header-separator

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 Apr 2018 20:09:45 +0200

Katsumi Yamaoka <[email-masked]> writes:

> This is probably a rare case, so I'm not sure if it's worth
> fixing, though.  If one sets `mail-header-separator' to
>
> "                                       ."
>
> it causes a mail corruption.  It is because `rfc822-goto-eoh'
> doesn't respect `mail-header-separator' and the first line of
> a message body, rather than the separator, is deleted.

Hm...  I think `rfc822-goto-eoh' does the right thing: It doesn't care
about `mail-header-separator', because that's a user setting for mail
composition buffers, not something that should be consulted after making
that buffer into an RFC2822 mail.

> `smtpmail-send-it' and `mailclient-send-it' use it by way of
> `mail-sendmail-undelimit-header'.  And `sendmail-send-it' uses
> it by way of `mail-header-end'.

So `mail-sendmail-undelimit-header' should consult that variable, I
think, instead of using `rfc822-goto-eoh'?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no